<?php
/**
 * Excerpt
 *
 * @package Supreme News
 */

$wp_customize->add_section(
	'supreme_news_excerpt_options',
	array(
		'panel' => 'supreme_news_theme_options',
		'title' => esc_html__( 'Excerpt', 'supreme-news' ),
	)
);

// Excerpt - Excerpt Length.
$wp_customize->add_setting(
	'supreme_news_excerpt_length',
	array(
		'default'           => 20,
		'sanitize_callback' => 'supreme_news_sanitize_number_range',
		'validate_callback' => 'supreme_news_validate_excerpt_length',
	)
);

$wp_customize->add_control(
	'supreme_news_excerpt_length',
	array(
		'label'       => esc_html__( 'Excerpt Length (no. of words)', 'supreme-news' ),
		'description' => esc_html__( 'Note: Min 1 & Max 100. Please input the valid number and save. Then refresh the page to see the change.', 'supreme-news' ),
		'section'     => 'supreme_news_excerpt_options',
		'settings'    => 'supreme_news_excerpt_length',
		'type'        => 'number',
		'input_attrs' => array(
			'min'  => 1,
			'max'  => 100,
			'step' => 1,
		),
	)
);
